Public Member Functions

# PersistentStorage Struct Reference

Class for pooled persistent storage of data. More...

`#include <newgrf_storage.h>`

Inheritance diagram for PersistentStorage:

## Public Member Functions
| PersistentStorage (const uint32 new_grfid, byte feature, TileIndex tile)
| We don't want GCC to zero our struct! It already is zeroed and has an index!

## Detailed Description

Class for pooled persistent storage of data.

Definition at line 223 of file newgrf_storage.h.

The documentation for this struct was generated from the following file:

- src/newgrf_storage.h